package plant

import "github.com/gin-gonic/gin"

type WikiRouter struct{}

func (p *WikiRouter) InitWikiRouter(Router *gin.RouterGroup) {
	wikiRouter := Router.Group("wiki")
	{
		wikiRouter.POST("/add", wikiApi.CreateWiki)
		wikiRouter.POST("/update", wikiApi.UpdateWiki)
		wikiRouter.POST("/page", wikiApi.WikiPage)
		wikiRouter.GET("/detail", wikiApi.WikiDetail)
		wikiRouter.POST("/delete", wikiApi.DeleteWiki)
		wikiRouter.POST("/uploadImg", wikiApi.UploadImg)
		wikiRouter.POST("/sync-qdrant", wikiApi.SyncWikiQdrant)
		wikiRouter.POST("/delete-qdrant", wikiApi.DeleteWikiQdrant)

		//用户端
		wikiRouter.GET("/star", wikiApi.StarWiki) //收藏或者取消收藏

	}
}
